<!--
  Generated template for the BookAppointmentPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header >
  <ion-navbar class="dawn-bar">
    <ion-buttons end>
      <button *ngIf="appState.CartCount>0" clear style="color:black;background: transparent">
          {{appState.CartTimer}}
        </button>
        <ion-icon  *ngIf="appState.CartCount>0" ios="ios-cart" md="md-cart"></ion-icon>
    <button *ngIf="appState.CartCount>0" clear style="color:black;background: transparent" (click)="viewCart()">
   ({{appState.CartCount}})
    </button>
  </ion-buttons>
    <ion-title>Book Appointment</ion-title>
    <span><b>{{BookingData.ServicesType.firstname}} {{BookingData.ServicesType.lastname}}</b> (Duration 1 session {{BookingData.ServicesType.inhome_session}} mins)</span>
  </ion-navbar> 
</ion-header>


<ion-content>



    <ion-grid class="location-of-service">
        <ion-row>
           <ion-col col-10>
               <h2>Location of service </h2>
               <p>{{BookingData.ServicesType.providerdetails.addressline}}, {{BookingData.ServicesType.providerdetails.addressline1}},{{BookingData.ServicesType.providerdetails.postcode}}</p>
           </ion-col>
           <ion-col col-2 text-right>
           <!-- <ion-icon name="md-create"></ion-icon>-->
           </ion-col>
        </ion-row>

        <ion-row class="text-centext-align">
            <ion-col col-4>
                <h3>Date:</h3>
                <p>   {{Date | date:'d  MMM, y' }}</p>
            </ion-col>
            <ion-col col-4>
                <h3>Time:</h3>
                <p>{{BookingData.SelectedSlot.time}} - {{firsttime}}:{{timeValue}} </p>
            </ion-col>
            <ion-col col-4>
                <h3>Postcode</h3>
                <p>{{BookingData.PostCode}}</p>
            </ion-col>
        </ion-row>
      </ion-grid>

   
      <ion-grid class="location-of-service">
        <ion-row>
           <ion-col col-10>
               <h2>Service type</h2>
               <p>{{Services}}</p>
           </ion-col>
           <ion-col col-2 text-right>
            <ion-icon  (click)="ChangeType()" name="md-create"></ion-icon>
           </ion-col>
        </ion-row>
      </ion-grid>

      <ion-grid class="location-of-service">
        <ion-row>
           <ion-col col-10>
               <h2>Booking for</h2>
               <p>Self</p>
           </ion-col>
           <!--<ion-col col-2 text-right >
            <ion-icon  name="md-create"></ion-icon>
           </ion-col>-->

          
             
            


        </ion-row>
      </ion-grid>

      <ion-grid class="location-of-service">
        <ion-row>
           <ion-col col-10>
               <h2>Appointment type</h2>
               <p [innerHTML]='selectedId == 1 ? "First Time Consultation" : "Follow Up Visit"'></p>
           </ion-col>
           <ion-col col-2 text-right (click)="AppointmentTypeShow = true">
            <ion-icon  name="md-create"></ion-icon>
           </ion-col> 

           <ion-col col-12 *ngIf="AppointmentTypeShow" >
              
              <ion-select     (ionChange)="ratedropdown(selectedId)"   interface="popover" [(ngModel)]="selectedId" class="selector" >
                <ion-option  [value]="1" class="option" text-wrap>First Time Consultation</ion-option>
                <ion-option  [value]="2" class="option" text-wrap>Follow Up Visit</ion-option>
              </ion-select >
          </ion-col>
        </ion-row>
      </ion-grid>

      <ion-grid class="location-of-service price">
        <ion-row>
           <ion-col col-6>
                 <h1>Total Price</h1>
           </ion-col>
           <ion-col col-6>
            <p *ngIf="currency!=''">{{currency}}{{totalprice}}</p>
           </ion-col>
        </ion-row>
      </ion-grid>
      <ion-grid class="location-of-service-button">
        <ion-row>
           <ion-col col-12>
                 <button  [disabled]="isAddtoCardBtnDisable"  (click)="addCart()">Add to cart  <ion-icon name="md-arrow-round-forward" text-right></ion-icon></button>
           </ion-col>
        </ion-row>
      </ion-grid>
</ion-content>